Bug 867930 - Page-wise scrolling via mouse clicks in the scroll bar results in eventual resize glyph and logic
Page-wise scrolling via mouse clicks in the scroll bar results in eventual re...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 11:17 EDT by Peter J. Dohm
Modified: 2013-08-01 06:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:29:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter J. Dohm 2012-10-18 11:17:45 EDT
Description of problem:

Leaving a mouse statically placed over a scroll-bar's empty area (which when clicking would page-up/down) and clicking repeatedly (say 3-10 times) results in the cursor changing into the resize glyph, and window-management logic to resize a window being invoked. the mouse definitely has NOT been moved by the user, and this happens repeatably on any application running on the latest patches of fedora 17 as of the date of this report. interestingly, it appears as if the mouse cursor may be programmatically moved by a pixel or two as the mouse is clicked each time...

Version-Release number of selected component (if applicable):

Fedora 17, latest updates applied as of the date of report.

How reproducible:

Reproducable at will on my machine.

Steps to Reproduce:
1. Open any application, terminal, for instance.
2. Produce a great deal of output in the window.
3. Place the mouse cursor in an area below the indicator for the scroll bar (i.e in the area that when clicked results in a page-down or page-up style operation).
4. Click 3-10 times repeatedly in the same exact location.

Actual results:

The cursor changes to a resize-window glyph and the logic for window resizing is invoked.

Expected results:

Continuous clicks in the empty area of the scroll bar continue to page through the window results until the handle moves under the mouse cursor.

Additional info:

Running inside a VMWare virtual machine with 3d graphics acceleration enabled
Comment 1 Fedora End Of Life 2013-07-03 23:12:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 06:29:33 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.